Bug 236498 - /etc/cron.daily/prelink harmful in LiveCD environment?
/etc/cron.daily/prelink harmful in LiveCD environment?
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: LiveCD (Show other bugs)
rawhide
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-15 08:37 EDT by xunilarodef
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-30 11:32:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description xunilarodef 2007-04-15 08:37:14 EDT
Description of problem:
  System running from LiveCD (the Fedora-7-Test3-L Gnome version;
the Fedora-7-Test3-K KDE version is innocent of this failure)
becomes unresponsive within an hour or two of booting.  While the
DVD/CD drive continues to spin and thrash busily as it seeks back
and forth, the user interface becomes static and unresponsive.
 - If a screensaver has taken over the display, there is no
   response to any user keypress or pointing device, other than the
   power button for a reboot.
 - If the open applications and terminals are visible, the user will
   see slow and jerky tracking of the cursor position on the screen,
   before the cursor eventually freezes.  Even the clock eventually
   fails to advance the displayed time!
One can find in /var/log/cron that (65 minutes after boot):
   Job 'cron.daily' started 
... but no matching "Job `cron.daily' terminated" message will appear
before the system dies (about 47 minutes after `cron.daily' starts,
surprisingly predictably on one system).

  If one removes prelink from /etc/cron.daily/, then the system can
remain responsive and useful for more than a few hours.  I do not know
if running prelink on a system with more installed memory (than the
512 MB on the system described here) would allow it to run to completion
without undue impact to the usability of the system.  I even wonder
about the net benefit of running prelink, for its results cannot be
saved back to the LiveCD, so they would be lost each time there is a 
system restart.


Version-Release number of selected component (if applicable):
/etc/cron.daily/prelink  of 2006-06-21 06:07 as distributed on 
Fedora-7-Test3-Live-i386


How reproducible:
Quite.  Have not yet seen it fail to fail, more than a dozen observations.


Steps to Reproduce:
1. Boot CD labeled "Fedora-7-Test3-L" (Fedora-7-Test3-Live-i386).
2. [optional] Turn off the screensaver, if you wish the final static
   image to look like your desktop plus open applications, rather than
   a black rectangle. 
3. [optional] System, Administration, Log Viewer, select Cron.
4. [optional, to watch a list of the suspects] System, Administration,
   System Monitor, Processes tab, sort by %CPU.
5. [optional] Do some useful work of your choosing before and during
   step 6.
6. Wait 65 minutes after boot for the cron calvacade to begin, and
   maybe another 47 minutes or so (depending upon size of RAM, ...)
   until nothing more visibly happens. 

  
Actual results:
A system with a thrashing DVD/CD drive, which has a static display and
responds to no keyboard nor pointing device interaction.


Expected results:
A system that remains usable and even responsive while cron jobs
run, and cron jobs that terminate normally in a finite amount of
time.


Additional info:
 /etc/cron.weekly/ is not all that friendly, either.  On this
 system it drives the CPU utilization up to 100% and makes the system
 very unresponsive (fails to even keep up smoothly tracking cursor
 position on screen) ... but at least it does have a finite duration
 of only about 7 minutes (on this system).  makewhatis might be the
 prime suspect here, but I really have not had a chance to gather more
 details.

 With prelink removed from cron.daily, and no other load on a system
 with 512 MB memory and a 1 GHz processor, there was still more than
 45 minutes wall clock time consumed to run cron.daily, cron.weekly,
 and cron.monthly.  Is that really the experience we want to offer
 for folks during the second hour they are trying out Fedora via a
 LiveCD?  Yes, these should run somewhat faster on systems with more
 memory (especially those with enough memory to run the LiveCD from
 RAM rather than from CD) and faster processors, but these may run
 somewhat slower if the user is trying to do some useful work at the
 same time.
Comment 1 Jeremy Katz 2007-04-16 09:59:30 EDT
I've just disabled crond/atd at run-time during the live CD
Comment 2 Michael Wiktowy 2007-04-28 02:21:33 EDT
I think you may have overlooked anacron as LiveCD 7test4 is showing the same 
thrashing, non-responsive state.
Comment 3 Chuck Ebbert 2007-04-30 11:23:44 EDT
I see this also. With the Test4 KDE live CD both makewhatis and prelink run from
cron/anacron.
Comment 4 Jeremy Katz 2007-04-30 11:32:47 EDT
Yeah, missed anacron.  Thanks for the heads-up and fixed in the configs for
later spins.

Note You need to log in before you can comment on or make changes to this bug.